class LearningObjectBuilder

  def self.build_from_dspace(item)
    lo = LearningObject.new(
      name: item.name,
      id_dspace: item.id,
      thumbnail: nil,
      metadata: item.metadata.to_json
    )

    lo.author = lo.get_metadata_values_of('dc.contributor.author').join(', ')
    lo.description = lo.get_metadata_value_of('dc.description')
    lo.object_type = lo.get_metadata_value_of('dc.type')
    lo.language = Language.first_or_create(code: lo.get_metadata_value_of('dc.language'))
    date = lo.get_metadata_value_of('dc.date.issued')
    lo.published_at = Time.iso8601(date) unless date.nil?
    lo
  end

end
